# FilesMatch

Implements \Condition

Compares two files for equality based on size and content. Timestamps are not at all looked at.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.tasks.system.condition

### Methods

## comparison method of the interface

    evaluate() : boolean

throws | if it all went pear-shaped

### Response

`boolean`

if the files are equal

## Sets the File1 attribute

    setFile1(\PhingFile $file1)

### Arguments

#### $file1

`\PhingFile`

The new File1 value

## Sets the File2 attribute

    setFile2(\PhingFile $file2)

### Arguments

#### $file2

`\PhingFile`

The new File2 value

### Properties

## files to compare

    file1 :

### Type(s)

``

## files to compare

    file2 :

### Type(s)

``